<?php
/*
 * MyBB: AnonShare Welcome Guest
 *
 * File: anonshare_welcomeguest.php
 * 
 * Author: Vintagedaddyo
 *
 * MyBB Version: 1.8
 *
 * Plugin Version: 1.0
 *
 * 
 */

// Disallow direct access to this file for security reasons

if(!defined("IN_MYBB"))
{
    die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook('index_start','anonshare_welcomeguest');
$plugins->add_hook('portal_start','anonshare_welcomeguest');

function anonshare_welcomeguest_info()
{
   global $lang;

    $lang->load("anonshare_welcomeguest");
    
    $lang->anonshare_welcomeguest_Desc = '<form action="https://www.paypal.com/cgi-bin/webscr" method="post" style="float:right;">' .
        '<input type="hidden" name="cmd" value="_s-xclick">' . 
        '<input type="hidden" name="hosted_button_id" value="AZE6ZNZPBPVUL">' .
        '<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">' .
        '<img alt="" border="0" src="https://www.paypalobjects.com/pl_PL/i/scr/pixel.gif" width="1" height="1">' .
        '</form>' . $lang->anonshare_welcomeguest_Desc;

    return Array(
        'name' => $lang->anonshare_welcomeguest_Name,
        'description' => $lang->anonshare_welcomeguest_Desc,
        'website' => $lang->anonshare_welcomeguest_Web,
        'author' => $lang->anonshare_welcomeguest_Auth,
        'authorsite' => $lang->anonshare_welcomeguest_AuthSite,
        'version' => $lang->anonshare_welcomeguest_Ver,
        'compatibility' => $lang->anonshare_welcomeguest_Compat
    );
}

function anonshare_welcomeguest_activate()
{
	require_once MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets('index','#'.preg_quote('{$anonshare_welcomeguest}
').'#i','',0);
	find_replace_templatesets('portal','#'.preg_quote('{$anonshare_welcomeguest}
').'#i','',0);
	find_replace_templatesets('index','#'.preg_quote('{$forums}').'#i','{$anonshare_welcomeguest}
{$forums}');
	find_replace_templatesets('portal','#'.preg_quote('{$announcements}').'#i','{$anonshare_welcomeguest}
{$announcements}');
}

function anonshare_welcomeguest_deactivate()
{
	require_once MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets('index','#'.preg_quote('{$anonshare_welcomeguest}
').'#i','',0);
	find_replace_templatesets('portal','#'.preg_quote('{$anonshare_welcomeguest}
').'#i','',0);
}

function anonshare_welcomeguest_lang()
{
	global $lang;
	$lang->load("anonshare_welcomeguest");
}

function anonshare_welcomeguest()
{
	global $mybb;

	if($mybb->user['usergroup']==1)
	{
		global $theme,$lang,$anonshare_welcomeguest;
		
		anonshare_welcomeguest_lang();
		
		$anonshare_welcomeguest='<div class="table-wrap">
    <div class="table-cell-mid">
        <h1 class="white">'.$lang->anonshare_welcomeguest_hello.'</h1>
        '.$lang->anonshare_welcomeguest_create.'
        <ul>
            <li>'.$lang->anonshare_welcomeguest_discuss.' <span class="white">'.$stats['numusers'].'</span>'.$lang->anonshare_welcomeguest_othermembers.'<span class="white">'.$stats['numthreads'].'</span>'.$lang->anonshare_welcomeguest_topics.'</li>
            <li>'.$lang->anonshare_welcomeguest_browse.' <span class="white">'.$stats['numposts'].'</span>'.$lang->anonshare_welcomeguest_posts.'</li>
        </ul>
    </div>
    <div class="table-cell-mid guest-notice-button-col">
        <a href="member.php?action=register">
         <button class="guest-notice-button-register">
            <link class="rippleJS">
            '.$lang->anonshare_welcomeguest_createacct.'
         </button>
      </a>
        <div class="spacer-bottom-10"></div>
        <a href="member.php?action=login">
         <button class="guest-notice-button">
            <link class="rippleJS">
            '.$lang->anonshare_welcomeguest_loginacct.'
         </button>
      </a>
    </div>
</div>';
	}
}

?>